\documentclass{report}
\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amssymb}
%\usepackage{authblk}
\usepackage{blindtext}
\title{Idyllic LaTeX Example}
\author{Antonio Lobo Santos}
\author{University of Seville}
\newtheorem{theorem}{Theorem}
\newtheorem{definition}{Definition}

\begin{document}
	\maketitle
	\chapter*{Concepts about Functions}
	
	\begin{definition}
		Interval: An interval $I = [a,b]$ or $(a,b)$ in $\mathbb{R}$ is a subset of $\mathbb{R}$ where $x \in I$ for all $x$ such that $a \leq x \leq b$ or $a < x < b$. Here, $a$ and $b$ are the endpoints of the interval. We say an interval is open if either endpoint is not included in $I$ and denote it with parentheses.
	\end{definition}
	
	\begin{definition}
		Closed interval: An interval $I$ is closed if $a \in I$ and $b \in I$.
	\end{definition}
	
	\begin{definition}
		Compact interval: An interval $[a,b]$ in $\mathbb{R}$ is compact if it is closed and bounded.
	\end{definition}
	
	\begin{definition}
		Continuous function: A function $f: A \to \mathbb{R}$ is continuous if for every $\epsilon > 0$, there exists a $\delta > 0$ such that for all $x, y \in A$, if $|x - y| < \delta$ then $|f(x) - f(y)| < \epsilon$.
	\end{definition}
	
	\begin{definition}
		Bounded function: A function $f: A \to \mathbb{R}$ is bounded if there exists a real number $M$ such that $|f(x)| \leq M$ for all $x \in A$.
	\end{definition}
	
	\begin{definition}
		Real function: A function $f: A \to \mathbb{R}$ is a function that assigns a unique real number to each element of $A$.
	\end{definition}
	
	\begin{definition}
		Rational function: A function $f: A \to \mathbb{R}$ is rational if it can be expressed as the quotient of two polynomials $P(x)$ and $Q(x)$, that is, $f(x) = \frac{P(x)}{Q(x)}$ where $Q(x) \neq 0$ for all $x \in A$.
	\end{definition}
	
	\begin{definition}
		Roots of a polynomial: The values of $x$ that make $P(x) = 0$ are called the roots of the polynomial $P(x)$.
	\end{definition}
	
	\begin{theorem}
		Let $f: A \to \mathbb{R}$.
		$$
		\begin{cases}
			A \text{ is compact} \\
			f \text{ is continuous}
		\end{cases} \
		\implies
		\
		\begin{cases}
			f \text{ is bounded}
		\end{cases}
		$$
	\end{theorem}
	
	
	\begin{theorem}
		Let $f: A \to \mathbb{R}$ be a rational function.
		$$
		\begin{cases}
			\text{The denominator has no roots in } A
		\end{cases} \
		\implies
		\
		\begin{cases}
			f \text{ is continuous}
		\end{cases}
		$$
	\end{theorem}
	
	
	
	\begin{theorem}
		Let $f: A \to \mathbb{R}$ be a rational function.
		$$
		\begin{cases}
			\text{The denominator has no roots in } A
		\end{cases} \
		\implies
		\
		\begin{cases}
			f \text{ is bounded}
		\end{cases}
		$$
	\end{theorem}
	
	
	
\end{document}
